Subject: Re: [PATCH v4 3/3] fast-import: add mode to sign commits with invalid signatures

From: Justin Tobler <[email-masked]>
Date: Thu, 12 Mar 2026 12:21:16 -0500

On 26/03/12 03:22PM, Patrick Steinhardt wrote:
> On Thu, Mar 12, 2026 at 09:08:46AM -0500, Justin Tobler wrote:
> > On 26/03/12 11:23AM, Patrick Steinhardt wrote:
> > > I'm still not convinced that it makes sense to warn about this case.
> > > After all the user has asked us to re-sign such commits, so they
> > > probably expect such cases. These warnings would thus result in a ton of
> > > noise in a repository where most commits are signed, drowning out the
> > > potentially-useful warnings.
> > > 
> > > Anyway, I won't insist on a change here.
> > 
> > I'm not really against removing these warning as I also agree it creates
> > a bunch of noise. If we get rid of them for "sign-if-invalid" though,
> > shouldn't we also get rid of them for "strip-if-invalid"? If the user
> > asks to strip commits, I figure they would expect such cases as well. If
> > we think removing the warning altogether is sensible, I can add another
> > prepatory commit that simply removes the warning for the
> > "strip-if-invalid" case.
> 
> Yeah, it kind of falls into the same space, agreed. As said, I won't
> insist on changing this. Maybe the right way to approach this is to keep
> it as-is for now and create a follow-up patch where you propose to strip
> it from both sites?

That's fair. I'll leave it as-is for now and submit a separate follow up
patch after this gets merged that proposes removing the warnings
altogether. We can see what folks think about it there.

Thanks,
-Justin